> For the complete documentation index, see [llms.txt](https://developers.newbluefx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.newbluefx.com/captivate-api/javascript-api-reference/legacy-scheduler-methods/for-key-methods.md).

# "For Key" Methods

#### `setValueForKey` / `getValueForKey` / `mergeValueForKey` methods <a href="#setvalueforkey--getvalueforkey--mergevalueforkey-methods" id="setvalueforkey--getvalueforkey--mergevalueforkey-methods"></a>

You can store and retrieve arbitrary data in the current Captivate instance using these methods.

The data will persist even if the project is closed and another is opened, but **will be deleted on app quit**.

* `setValueForKey` - Takes three arguments, a string key, a JavaScript map of what should be stored with that key, and a callback to be called with the results of the operation.
* `getValueForKey` - Takes two arguments, a string key and a callback to be called with the value stored with that key.
* `mergeValueForKey` - Takes three arguments, a string key, a JavaScript map that should be merged with the previous contents, and a callback to be called with the results of the operation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.newbluefx.com/captivate-api/javascript-api-reference/legacy-scheduler-methods/for-key-methods.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
